LOCK(2)

NAME
lock - lock a process in primary memory (2BSD)

SYNOPSIS
lock(flag)
int flag

DESCRIPTION
If the flag argument is non-zero, the process executing this call will not be swapped unless it is required to grow. If the argument is zero, the process is unlocked. This call may only be executed by the super-user.

ERRORS

[EPERM]
    The caller is not the super-user.

BUGS
Locked processes interfere with the compaction of primary memory and can cause deadlock. This system call is not considered a permanent part of the system.

Lock is unique to the PDP-11 and 2BSD; its use is discouraged.